<?php
/**
* Widget Functions.
*
* @package Elegant Jewellery
*/

function elegant_jewellery_widgets_init(){

	register_sidebar(array(
	    'name' => esc_html__('Main Sidebar', 'elegant-jewellery'),
	    'id' => 'sidebar-1',
	    'description' => esc_html__('Add widgets here.', 'elegant-jewellery'),
	    'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h3 class="widget-title"><span>',
	    'after_title' => '</span></h3>',
	));

	register_sidebar(array(
	    'name' => esc_html__('Header Sidebar', 'elegant-jewellery'),
	    'id' => 'sidebar-header',
	    'description' => esc_html__('Add widgets here.', 'elegant-jewellery'),
	    'before_widget' => '<div id="%1$s" class="widget %2$s">',
	    'after_widget' => '</div>',
	    'before_title' => '<h3 class="widget-title"><span>',
	    'after_title' => '</span></h3>',
	));


    $elegant_jewellery_default = elegant_jewellery_get_default_theme_options();
    $elegant_jewellery_footer_column_layout = absint( get_theme_mod( 'elegant_jewellery_footer_column_layout',$elegant_jewellery_default['elegant_jewellery_footer_column_layout'] ) );

    for( $i = 0; $i < $elegant_jewellery_footer_column_layout; $i++ ){
    	
    	if( $i == 0 ){ $count = esc_html__('One','elegant-jewellery'); }
    	if( $i == 1 ){ $count = esc_html__('Two','elegant-jewellery'); }
    	if( $i == 2 ){ $count = esc_html__('Three','elegant-jewellery'); }

	    register_sidebar( array(
	        'name' => esc_html__('Footer Widget ', 'elegant-jewellery').$count,
	        'id' => 'elegant-jewellery-footer-widget-'.$i,
	        'description' => esc_html__('Add widgets here.', 'elegant-jewellery'),
	        'before_widget' => '<div id="%1$s" class="widget %2$s">',
	        'after_widget' => '</div>',
	        'before_title' => '<h2 class="widget-title">',
	        'after_title' => '</h2>',
	    ));
	}

}

add_action('widgets_init', 'elegant_jewellery_widgets_init');